{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"paths":{"/accounts":{"get":{"operationId":"get-accounts","summary":"Account - List","description":"### List Accounts\n\n`GET /accounts` endpoint returns all accounts in your team","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Account"}}}}}},"security":[{"x-api-key":[]}]},"post":{"operationId":"post-accounts","summary":"Account - Create","description":"### Create an Account\n\n`POST /accounts` endpoint is used to invite someone to your team by email. They will receive an email with a link, and once they click it and set a password, their account becomes `ACTIVE`.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountCreationRequest"}}}},"security":[{"x-api-key":[]}]}},"/accounts/{email}":{"get":{"operationId":"get-account","summary":"Account - Get","description":"### Get an Account\n\n`GET /accounts/{email}` endpoint retrieves the account with the given email.","parameters":[{"name":"email","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/accounts/{email}/statusChange":{"post":{"operationId":"post-change-account-status","summary":"Account - Change Status","description":"### Change an Account's Status\n\n`POST /accounts/{email}/statusChange` endpoint disables or re-enables an account's access to the Console, depending on the `status` sent in the request body.","parameters":[{"name":"email","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountStatusChangeRequest"}}}},"security":[{"x-api-key":[]}]}},"/rules":{"get":{"operationId":"get-rules","summary":"Rule - List","description":"### Rules List\n\n`GET /rules` endpoint returns a lot of all rule templates supported by flagright. You can use [GET /rules/{ruleId}](/management-api/api-reference/api-reference/get-rules-rule-id) endpoint to fetch the details of any particular rule.\n\nEach rule is identified by the unique `id` which is of the form `R-{X}` where `X` is an integer.\n\nRules have a `parametersSchema` which is a [JSON Schema](https://json-schema.org/) that contains the schema of the parameters supported by the rule. When you create a [ruleInstance](/management-api/api-reference/api-reference/post-rule-instances), you need to provide the values in accordance with the `parametersSchema`.\n\nAll the rules come with default values for all required attributes.\n\nRules come with default `name`, `description`. Each rule may take multiple rule parameters, by default they have a `defaultParameters` attribute that contains all the required fields. For use cases where the rule parameters are forked based on customer dynamic risk score, `defaultRiskLevelParameters` are set.\n\nRules also come with a `defaultAction` and `defaultRiskLevelActions` for rule actions for the rule.\n\nAll of the above should be configured at the [rule instance](/management-api/api-reference/api-reference/post-rule-instances) level when creating a rule instance. Rules are read only and provided by flagright. You can only manipulate rules instances, not rule templates themselves.\n\nIf you need an update to a rule or a new rule, you can always contact the Flagright team.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Rule"}}}}}},"security":[{"x-api-key":[]}]}},"/rules/{ruleId}":{"get":{"operationId":"get-rules-ruleId","summary":"Rule - Get","description":"### Retrieve a Rule\n\n`GET /rules/{ruleId}` endpoint returns a rule template supported by flagright.","parameters":[{"name":"ruleId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Rule"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/rule-instances":{"get":{"operationId":"get-rule_instances","summary":"Rule Instance - List","description":"### Retrieve Rule Instances\n\n`GET /rule-instances` endpoint returns a list of all rule instances created by your account on flagright.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RuleInstance"}}}}}},"security":[{"x-api-key":[]}]},"post":{"operationId":"post-rule_instances","summary":"Rule Instance - Create","description":"### Create Rule Instance\n\n`POST /rule-instances` endpoint is used to create a new rule instance. A rule instance can be thought of as a live entity, that runs checks for for transactions. Rule instances use `Rule` templates as the blueprint.\n\nEvery rule instance has an associated `ruleId` of the rule from which it is derived. The details of the rule and the required parameters is found by `GET /rules` endpoint.\n\nOnce a rule instance is created, flagright generates an ID for the rule instance and also stores related metadata like:\n\n- `id` - unique identifier for the rule instance\n- `runCount` - how many times the rule instance was run\n- `hitCount` - how many times a rule was hit\n- `createdAt` & `updatedAt` - timestamps\n\nThey are generated and maintained by the flagright system and are not updatable by the API.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RuleInstance"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RuleInstanceUpdatable"}}}},"security":[{"x-api-key":[]}]}},"/rule-instances/{ruleInstanceId}":{"post":{"operationId":"post-rule-instances-ruleInstanceId","summary":"Rule Instance - Update","description":"### Update Rule Instance\n\nCreated rule instances can be idempotently updated with the `POST /rule-instances/{ruleInstanceId}`.\n","parameters":[{"name":"ruleInstanceId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RuleInstance"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RuleInstanceUpdatable"}}}},"security":[{"x-api-key":[]}]},"delete":{"operationId":"delete-rule_instances-ruleInstanceId","summary":"Rule Instance - Delete","description":"You can *permanently* delete a rule instance using the `DELETE /rule-instances/{ruleInstanceId}` endpoint. If you want to deactive a rule instance, you can update the status on the rule instance using the [POST /rule-instances/{ruleInstanceId}](/management-api/api-reference/api-reference/post-rule-instances-rule-instance-id) endpoint","parameters":[{"name":"ruleInstanceId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/delete-rule_instances-ruleInstanceId_Response_200"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/rule-filters-schema":{"get":{"operationId":"get-rule-filters-schema","summary":"Rule Filters Schema - Get","description":"### Retrieve Rule Filters Schema\n\n`GET /rule-filteres-schema` endpoint returns the rule filters supported by flagright as [JSON Schema](https://json-schema.org/).\n\nWhen you create a [rule instance](/management-api/api-reference/api-reference/post-rule-instances), you can use the schema returned by this endpoint to construct `filters` field for a rule instance.\n\nIf you need an update to a rule filter or a new rule filter, you can always contact the Flagright team.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-rule-filters-schema_Response_200"}}}}},"security":[{"x-api-key":[]}]}},"/cases":{"get":{"operationId":"get-cases","summary":"Case - List","description":"### Retrieve Cases","parameters":[{"name":"start","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number","format":"double","minimum":1,"maximum":100}},{"name":"sortBy","in":"query","required":false,"schema":{"$ref":"#/components/schemas/CasesGetParametersSortBy"}},{"name":"sortOrder","in":"query","required":false,"schema":{"$ref":"#/components/schemas/CasesGetParametersSortOrder"}},{"name":"filterCaseStatus","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/Status"}}},{"name":"filterPriority","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Priority"}},{"name":"filterCaseSource","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseSource"}}},{"name":"filterAfterCreatedTimestamp","in":"query","required":false,"schema":{"type":"number","format":"double"}},{"name":"filterBeforeCreatedTimestamp","in":"query","required":false,"schema":{"type":"number","format":"double"}},{"name":"filterUserId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CasesListResponse"}}}}},"security":[{"x-api-key":[]}]},"post":{"operationId":"post-cases","summary":"Case - Create","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Case"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaseCreationRequest"}}}},"security":[{"x-api-key":[]}]}},"/cases/{caseId}":{"get":{"operationId":"get-cases-caseId","summary":"Case - Get","description":"### Retrieve a Case","parameters":[{"name":"caseId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Case"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]},"patch":{"operationId":"patch-cases-caseId","summary":"Case - Update","description":"### Update Case","parameters":[{"name":"caseId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Case"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaseUpdateable"}}}},"security":[{"x-api-key":[]}]}},"/cases/{caseId}/statuses":{"post":{"operationId":"post-cases-caseId-statuses","summary":"Case - Update Status","description":"### Update Case Status\nThe `POST /cases/{caseId}/statuses` endpoint is used to update the status of a case. The status can be one of the following values: `OPEN`, `CLOSED`, `REOPENED`, `IN_PROGRESS`, `ON_HOLD`, or a custom status ID (e.g. `CS-1`).\nNote: When closing a case the `reason` field is required.","parameters":[{"name":"caseId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/post-cases-caseId-statuses_Response_200"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaseStatusChangeRequest"}}}},"security":[{"x-api-key":[]}]}},"/cases/{caseId}/comments":{"get":{"operationId":"get-case-comments","summary":"Retrieve Case Comments","description":"## GET Case Comments\n`GET /cases/{caseId}/comments` endpoint returns all comments for a case.\n","parameters":[{"name":"caseId","in":"path","description":"Unique Case Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommentResponse"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]},"post":{"operationId":"post-case-comment","summary":"Create a Case Comment","description":"## POST Case Comments\n`POST /cases/{caseId}/comments` endpoint is used to create a comment for a case.\nTo attach files in the comment upload the file first using the `POST /pre-signed-url` endpoint and then use the returned `key` to attach the file in the comment with the filename and size.`\n","parameters":[{"name":"caseId","in":"path","description":"Unique Case Identifier","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentResponse"}}}}},"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentRequest"}}}},"security":[{"x-api-key":[]}]}},"/cases/{caseId}/comments/{commentId}":{"get":{"operationId":"get-case-comment","summary":"Retrieve a Case Comment","description":"## GET Case Comment\n`GET /cases/{caseId}/comments/{commentId}` endpoint returns a comment for a case.\n","parameters":[{"name":"caseId","in":"path","description":"Unique Case Identifier","required":true,"schema":{"type":"string"}},{"name":"commentId","in":"path","description":"Unique Comment Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]},"delete":{"operationId":"delete-case-comment","summary":"Delete a Case Comment","description":"## DELETE Case Comment\n`DELETE /cases/{caseId}/comments/{commentId}` endpoint is used to delete a case comment.\n","parameters":[{"name":"caseId","in":"path","description":"Unique Case Identifier","required":true,"schema":{"type":"string"}},{"name":"commentId","in":"path","description":"Unique Comment Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}}},"security":[{"x-api-key":[]}]}},"/alerts":{"post":{"operationId":"post-alerts","summary":"Alert - Create","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertCreationRequest"}}}},"security":[{"x-api-key":[]}]}},"/alerts/{alertId}":{"get":{"operationId":"get-alerts-alertId","summary":"Alert - Get","description":"### Retrieve an Alert","parameters":[{"name":"alertId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]},"patch":{"operationId":"patch-alerts-alertId","summary":"Alert - Update","description":"### Update Alert","parameters":[{"name":"alertId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Alert"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertUpdatable"}}}},"security":[{"x-api-key":[]}]}},"/alerts/{alertId}/hits":{"get":{"operationId":"get-alert-hits","summary":"Retrieve Alert Hits","parameters":[{"name":"alertId","in":"path","description":"Unique Alert Identifier","required":true,"schema":{"type":"string"}},{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/PageSize"}},{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Page"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertHitsResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/hit/{hitId}/evidence/{evidenceId}":{"get":{"operationId":"get-hit-evidence-url","summary":"Retrieve hit evidence url","parameters":[{"name":"hitId","in":"path","description":"Unique hit identifier","required":true,"schema":{"type":"string"}},{"name":"evidenceId","in":"path","description":"Unique evidence identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HitEvidenceResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/alerts/{alertId}/hits/status":{"post":{"operationId":"post-alert-hits-status","summary":"Update Alert Hits Status","parameters":[{"name":"alertId","in":"path","description":"Unique Alert Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/post-alert-hits-status_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HitsStatusUpdateRequest"}}}},"security":[{"x-api-key":[]}]}},"/alerts/{alertId}/comments":{"get":{"operationId":"get-alert-comments","summary":"Retrieve Alert Comments","description":"## GET Alert Comments\n`GET /alerts/{alertId}/comments` endpoint returns all comments for an alert.\n","parameters":[{"name":"alertId","in":"path","description":"Unique Alert Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommentResponse"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]},"post":{"operationId":"post-alert-comment","summary":"Create an Alert Comment","description":"## POST Alert Comments\n`POST /alerts/{alertId}/comments` endpoint is used to create a comment for an alert.\nTo attach files in the comment upload the file first using the `POST /pre-signed-url` endpoint and then use the returned `key` to attach the file in the comment with the filename and size.`\n","parameters":[{"name":"alertId","in":"path","description":"Unique Alert Identifier","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentResponse"}}}}},"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentRequest"}}}},"security":[{"x-api-key":[]}]}},"/alerts/{alertId}/comments/{commentId}":{"get":{"operationId":"get-alert-comment","summary":"Retrieve an Alert Comment","description":"## GET Alert Comment\n`GET /alerts/{alertId}/comments/{commentId}` endpoint returns a comment for an alert.\n","parameters":[{"name":"alertId","in":"path","description":"Unique Alert Identifier","required":true,"schema":{"type":"string"}},{"name":"commentId","in":"path","description":"Unique Comment Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]},"delete":{"operationId":"delete-alert-comment","summary":"Delete an Alert Comment","description":"## DELETE Alert Comment\n`DELETE /alerts/{alertId}/comments/{commentId}` endpoint is used to delete an alert comment.\n","parameters":[{"name":"alertId","in":"path","description":"Unique Alert Identifier","required":true,"schema":{"type":"string"}},{"name":"commentId","in":"path","description":"Unique Comment Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}}},"security":[{"x-api-key":[]}]}},"/alerts/{alertId}/statuses":{"post":{"operationId":"post-alerts-alertId-statuses","summary":"Alert - Update Status","description":"### Update Alert Status\nThe `POST /alerts/{alertId}/statuses` endpoint is used to update the status of an alert. The status can be one of the following values: `OPEN`, `CLOSED`, `REOPENED`, `OPEN_IN_PROGRESS`, `OPEN_ON_HOLD`, or a custom status ID (e.g. `AS-1`).\nNote: When closing an alert the `reason` field is required.","parameters":[{"name":"alertId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/post-alerts-alertId-statuses_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertStatusChangeRequest"}}}},"security":[{"x-api-key":[]}]}},"/pre-signed-url":{"post":{"operationId":"get-upload-presignedUrl","summary":"Get a pre-signed URL","description":"### Generate Pre-Signed URL for File Uploads\n\nThe `POST /pre-signed-url` endpoint provides a secure, pre-signed URL that you can use to upload files directly to a designated storage service. The URL is time-limited, remaining valid for 15 minutes, and authenticated to ensure that file uploads are secure. The maximum supported file size is 100000000 bytes (100MB).\n\n#### Uploading Your File\n\nOnce you have obtained the pre-signed URL and the accompanying fields (`key`, `name`, `x-amz-Algorithm`, `x-amz-credential`, `x-amz-date`, `x-amz-signature`, `x-amz-security-token`) from the API endpoint:\n\nTo upload your file to the designated storage location using the provided data, you need to make a request formatted as follows:\n\n```bash\n    curl -X POST 'url' \\\n    --form 'key=\"key\"' \\\n    --form 'name=\"name\"' \\\n    --form 'X-Amz-Algorithm=\"x-amz-algorithm\"' \\\n    --form 'X-Amz-Credential=\"x-amz-credential\"' \\\n    --form 'X-Amz-Date=\"x-amz-date\"' \\\n    --form 'X-Amz-Security-Token=\"x-amz-security-token\"' \\\n    --form 'Policy=\"policy\"' \\\n    --form 'X-Amz-Signature= \"x-amz-signature\"' \\\n    --form 'file=@\"/path/to/file\"'\n```\n**Important Note:** You must retain the returned `key` as it is essential for later referencing the file in the application, such as attaching it to a case or including it in a user comment.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PresignedUrlResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PresignedPostRequest"}}}},"security":[{"x-api-key":[]}]}},"/users/{userId}/comments":{"get":{"operationId":"get-user-comments","summary":"Retrieve User Comments","description":"## GET User Comments\n\n`GET /users/{userId}/comments` endpoint returns all comments for a user.\n","parameters":[{"name":"userId","in":"path","description":"Unique User Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommentResponse"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]},"post":{"operationId":"post-user-comment","summary":"Create a User Comment","description":"## POST User Comments\n`POST /users/{userId}/comments` endpoint is used to create a comment for a user.\nTo attach files in the comment upload the file first using the `POST /pre-signed-url` endpoint and then use the returned `key` to attach the file in the comment with the filename and size.`\n","parameters":[{"name":"userId","in":"path","description":"Unique User Identifier","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentRequest"}}}},"security":[{"x-api-key":[]}]}},"/users/{userId}/comments/{commentId}":{"get":{"operationId":"get-user-comment","summary":"Retrieve a User Comment","description":"## GET User Comment\n`GET /users/{userId}/comments/{commentId}` endpoint returns a comment for a user.\n","parameters":[{"name":"userId","in":"path","description":"Unique User Identifier","required":true,"schema":{"type":"string"}},{"name":"commentId","in":"path","description":"Unique Comment Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]},"delete":{"operationId":"delete-user-comment","summary":"Delete a User Comment","description":"## DELETE User Comment\n`DELETE /users/{userId}/comments/{commentId}` endpoint is used to delete a user comment.\n","parameters":[{"name":"userId","in":"path","description":"Unique User Identifier","required":true,"schema":{"type":"string"}},{"name":"commentId","in":"path","description":"Unique Comment Identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Comment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/users/search":{"get":{"operationId":"get-users-search","summary":"Users - Search","description":"## Users Search\n`GET /users/search` endpoint retrieves a list of users matching the specified search criteria.\n","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"email","in":"query","required":false,"schema":{"type":"string"}},{"name":"start","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100}},{"name":"sortOrder","in":"query","required":false,"schema":{"$ref":"#/components/schemas/UsersSearchGetParametersSortOrder"}},{"name":"sortBy","in":"query","required":false,"schema":{"$ref":"#/components/schemas/UsersSearchGetParametersSortBy"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsersSearchResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/lists":{"get":{"operationId":"get-lists","summary":"Get all lists","description":"Get all lists","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListsResponse"}}}}},"security":[{"x-api-key":[]}]},"post":{"operationId":"post-lists","summary":"Create or update a list","description":"POST /lists endpoint creates updates or clears a list.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListUpdateRequest"}}}},"security":[{"x-api-key":[]}]}},"/lists/{listId}":{"get":{"operationId":"get-list-by-id","summary":"Get a list by id","description":"Get a list by id","parameters":[{"name":"listId","in":"path","description":"List ID","required":true,"schema":{"type":"string"}},{"name":"start","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListItemsResponse"}}}},"404":{"description":"List not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/lists/{listId}/items/{itemKey}":{"delete":{"operationId":"delete-list-item","summary":"Delete a list item","description":"### Delete List Item\n`DELETE /lists/{listId}/items/{itemKey}` endpoint deletes a single item from a list by its key. This is more efficient than clearing the entire list when you only need to remove one item.","parameters":[{"name":"listId","in":"path","description":"Unique List Identifier","required":true,"schema":{"type":"string"}},{"name":"itemKey","in":"path","description":"The key of the item to delete","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListItemDeleteResponse"}}}},"404":{"description":"List not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/webhooks/failed":{"get":{"operationId":"get-webhooks-failed","summary":"Get all failed webhook deliveries","description":"Get all failed webhook deliveries","parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/PageSize"}},{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Page"}},{"name":"timestamp","in":"query","required":false,"schema":{"type":"number","format":"double"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookDeliveryAttemptPaginated"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/crm/link":{"post":{"operationId":"post-crm-link","summary":"Link a CRM record to a user","description":"Link a CRM record to a user","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CRMRecordLinkResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CRMRecordLinkRequest"}}}},"security":[{"x-api-key":[]}]}},"/alerts/alertIds/{transactionId}":{"get":{"operationId":"get-alert-ids-by-transaction-id","summary":"Get alert IDs by transaction ID","description":"Get alert IDs by transaction ID","parameters":[{"name":"transactionId","in":"path","description":"Transaction ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}},"/transactions/status":{"post":{"operationId":"post-transactions-status","summary":"Transaction - Update Status","description":"### Update Transaction Status\nThe `POST /transactions/status` endpoint is used to update the monitoring status of a transaction. The status can be one of the following values: `ALLOW`, `FLAG`, `BLOCK`, or `SUSPEND`.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionStatusUpdateResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionStatusUpdateRequest"}}}},"security":[{"x-api-key":[]}]}},"/screening/activity":{"get":{"operationId":"get-screening-activity","summary":"Screening - Retrieve Activity","description":"### Retrieve Screening Activity","parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/PageSize"}},{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Page"}},{"name":"filterAfterCreatedTimestamp","in":"query","required":false,"schema":{"type":"number","format":"double"}},{"name":"filterBeforeCreatedTimestamp","in":"query","required":false,"schema":{"type":"number","format":"double"}},{"name":"filterUserId","in":"query","required":false,"schema":{"type":"string"}},{"name":"filterTransactionId","in":"query","required":false,"schema":{"type":"string"}},{"name":"filterScreeningReason","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ScreeningReason"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScreeningActivityResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"security":[{"x-api-key":[]}]}}},"servers":[{"url":"https://sandbox.api.flagright.com/management","description":"Sandbox API server (eu-1)"},{"url":"https://sandbox-asia-1.api.flagright.com/management","description":"Sandbox API server (asia-1)"}],"components":{"schemas":{"AccountStatus":{"type":"string","enum":["INVITED","ACTIVE","DEACTIVATED"],"title":"AccountStatus"},"Account":{"type":"object","properties":{"name":{"type":"string"},"email":{"type":"string","format":"email"},"role":{"type":"string","description":"The account's role. This is either a built-in role name or a custom role name defined in your tenant."},"status":{"$ref":"#/components/schemas/AccountStatus"},"createdTimestamp":{"type":"number","format":"double"},"lastLoginTimestamp":{"type":["number","null"],"format":"double"}},"required":["name","email","role","status","createdTimestamp"],"title":"Account"},"AccountCreationRequest":{"type":"object","properties":{"name":{"type":"string","description":"Display name for the new account."},"email":{"type":"string","format":"email","description":"Email address to invite. The invite link is sent to this address. Must be unique within your tenant."},"role":{"type":"string","description":"A built-in role name or a custom role name defined in your tenant."}},"required":["name","email","role"],"title":"AccountCreationRequest"},"ErrorMessage":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"}},"required":["error","message"],"title":"ErrorMessage"},"AccountStatusChangeRequestStatus":{"type":"string","enum":["ACTIVE","DEACTIVATED"],"description":"The desired account status. `DEACTIVATED` permanently revokes the account's access to the Console and terminates any active sessions immediately. `ACTIVE` re-enables access for a previously deactivated account.","title":"AccountStatusChangeRequestStatus"},"AccountStatusChangeRequest":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/AccountStatusChangeRequestStatus","description":"The desired account status. `DEACTIVATED` permanently revokes the account's access to the Console and terminates any active sessions immediately. `ACTIVE` re-enables access for a previously deactivated account."}},"required":["status"],"title":"AccountStatusChangeRequest"},"RuleType":{"type":"string","enum":["TRANSACTION","USER","USER_ONGOING_SCREENING","TRANSACTION_SCREENING","CONSUMER_USER_SCREENING","BUSINESS_USER_SCREENING","CRM_USER","CRM_TICKET"],"title":"RuleType"},"RuleParametersSchema":{"type":"object","properties":{},"title":"RuleParametersSchema"},"RuleDefaultParameters":{"type":"object","properties":{},"title":"RuleDefaultParameters"},"RiskLevelRuleParametersVeryHigh":{"type":"object","properties":{},"title":"RiskLevelRuleParametersVeryHigh"},"RiskLevelRuleParametersHigh":{"type":"object","properties":{},"title":"RiskLevelRuleParametersHigh"},"RiskLevelRuleParametersMedium":{"type":"object","properties":{},"title":"RiskLevelRuleParametersMedium"},"RiskLevelRuleParametersLow":{"type":"object","properties":{},"title":"RiskLevelRuleParametersLow"},"RiskLevelRuleParametersVeryLow":{"type":"object","properties":{},"title":"RiskLevelRuleParametersVeryLow"},"RiskLevelRuleParameters":{"type":"object","properties":{"VERY_HIGH":{"$ref":"#/components/schemas/RiskLevelRuleParametersVeryHigh"},"HIGH":{"$ref":"#/components/schemas/RiskLevelRuleParametersHigh"},"MEDIUM":{"$ref":"#/components/schemas/RiskLevelRuleParametersMedium"},"LOW":{"$ref":"#/components/schemas/RiskLevelRuleParametersLow"},"VERY_LOW":{"$ref":"#/components/schemas/RiskLevelRuleParametersVeryLow"}},"required":["VERY_HIGH","HIGH","MEDIUM","LOW","VERY_LOW"],"title":"RiskLevelRuleParameters"},"RuleAction":{"type":"string","enum":["ALLOW","FLAG","BLOCK","SUSPEND"],"description":"Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst","title":"RuleAction"},"RiskLevelRuleActions":{"type":"object","properties":{"VERY_HIGH":{"$ref":"#/components/schemas/RuleAction"},"HIGH":{"$ref":"#/components/schemas/RuleAction"},"MEDIUM":{"$ref":"#/components/schemas/RuleAction"},"LOW":{"$ref":"#/components/schemas/RuleAction"},"VERY_LOW":{"$ref":"#/components/schemas/RuleAction"}},"required":["VERY_HIGH","HIGH","MEDIUM","LOW","VERY_LOW"],"title":"RiskLevelRuleActions"},"RuleLabels":{"type":"string","enum":["UNEXPECTED_BEHAVIOR","ILLICIT_GAINS_CHECK","RFI_TRIGGER","EDD_TRIGGER","KYC_TRIGGER","SCAM","ABUSE","ACCOUNT_TAKEOVER","DISPUTE","SANCTIONS","SANCTIONS_PEP","SANCTIONS_PEP_ADVERSE_MEDIA","SANCTIONS_MANUAL_REVIEW"],"title":"RuleLabels"},"Priority":{"type":"string","enum":["P1","P2","P3","P4"],"title":"Priority"},"RuleNature":{"type":"string","enum":["AML","FRAUD","CTF","SCREENING"],"title":"RuleNature"},"Rule":{"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/RuleType"},"name":{"type":"string"},"types":{"type":"array","items":{"type":"string"}},"description":{"type":"string"},"parametersSchema":{"$ref":"#/components/schemas/RuleParametersSchema"},"defaultParameters":{"$ref":"#/components/schemas/RuleDefaultParameters"},"defaultRiskLevelParameters":{"$ref":"#/components/schemas/RiskLevelRuleParameters"},"defaultAction":{"$ref":"#/components/schemas/RuleAction"},"defaultRiskLevelActions":{"$ref":"#/components/schemas/RiskLevelRuleActions"},"labels":{"type":"array","items":{"$ref":"#/components/schemas/RuleLabels"}},"defaultCasePriority":{"$ref":"#/components/schemas/Priority"},"defaultNature":{"$ref":"#/components/schemas/RuleNature"},"checksFor":{"type":"array","items":{"type":"string"}},"typologies":{"type":"array","items":{"type":"string"}},"sampleUseCases":{"type":"string"}},"required":["id","type","name","types","description","defaultParameters","defaultAction","labels","defaultCasePriority","defaultNature","checksFor","typologies","sampleUseCases"],"title":"Rule"},"RuleInstanceFilters":{"type":"object","properties":{},"description":"Rule filters. A key-value json object corresponding to the json schema returned by /rule-filters-schema endpoint.","title":"RuleInstanceFilters"},"RuleInstanceParameters":{"type":"object","properties":{},"title":"RuleInstanceParameters"},"UserDirections":{"type":"string","enum":["ALL","ORIGIN","DESTINATION"],"title":"UserDirections"},"UserState":{"type":"string","enum":["UNACCEPTABLE","TERMINATED","ACTIVE","DORMANT","CREATED","SUSPENDED","BLOCKED"],"title":"UserState"},"UserStateDetailsInternal":{"type":"object","properties":{"reason":{"type":"string"},"state":{"$ref":"#/components/schemas/UserState"},"description":{"type":"string"}},"required":["reason","state"],"title":"UserStateDetailsInternal"},"KYCStatus":{"type":"string","enum":["SUCCESSFUL","FAILED","NOT_STARTED","IN_PROGRESS","EXPIRED","NEW","CANCELLED","MANUAL_REVIEW","EDD_IN_PROGRESS"],"title":"KYCStatus"},"KYCStatusDetailsInternal":{"type":"object","properties":{"reason":{"type":"string"},"status":{"$ref":"#/components/schemas/KYCStatus"},"description":{"type":"string"}},"required":["reason"],"title":"KYCStatusDetailsInternal"},"CountryCode":{"type":"string","enum":["AF","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","CV","KH","CM","CA","KY","CF","TD","CL","CN","CX","CC","CO","KM","CD","CG","CK","CR","HR","CU","CW","CY","CZ","CI","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","SZ","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MK","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RO","RU","RW","RE","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TM","TC","TV","TR","UG","UA","AE","GB","UM","US","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","AX","XA","XB","XC","XD","XE","XF","XG","XH","XI","XJ","XK","XL","XM","XN","XO","XP","XQ","XR","XS","XT","XU","XV","XW","XY","XZ","N/A"],"title":"CountryCode"},"PepRank":{"type":"string","enum":["LEVEL_1","LEVEL_2","LEVEL_3"],"description":"PEP rank","title":"PepRank"},"PEPStatus":{"type":"object","properties":{"isPepHit":{"type":"boolean"},"pepCountry":{"$ref":"#/components/schemas/CountryCode"},"pepRank":{"$ref":"#/components/schemas/PepRank"},"category":{"type":"string"}},"required":["isPepHit"],"title":"PEPStatus"},"SanctionsStatus":{"type":"boolean","title":"SanctionsStatus"},"AdverseMediaStatus":{"type":"boolean","title":"AdverseMediaStatus"},"TriggersOnHit":{"type":"object","properties":{"usersToCheck":{"$ref":"#/components/schemas/UserDirections"},"userStateDetails":{"$ref":"#/components/schemas/UserStateDetailsInternal"},"kycStatusDetails":{"$ref":"#/components/schemas/KYCStatusDetailsInternal"},"pepStatus":{"$ref":"#/components/schemas/PEPStatus","description":"Whether the user is a PEP"},"sanctionsStatus":{"$ref":"#/components/schemas/SanctionsStatus","description":"Whether the user is on a sanctions list"},"adverseMediaStatus":{"$ref":"#/components/schemas/AdverseMediaStatus","description":"Whether the user has adverse media hits"}},"title":"TriggersOnHit"},"RiskLevelsTriggersOnHit":{"type":"object","properties":{"VERY_HIGH":{"$ref":"#/components/schemas/TriggersOnHit"},"HIGH":{"$ref":"#/components/schemas/TriggersOnHit"},"MEDIUM":{"$ref":"#/components/schemas/TriggersOnHit"},"LOW":{"$ref":"#/components/schemas/TriggersOnHit"},"VERY_LOW":{"$ref":"#/components/schemas/TriggersOnHit"}},"required":["VERY_HIGH","HIGH","MEDIUM","LOW","VERY_LOW"],"title":"RiskLevelsTriggersOnHit"},"RuleInstanceStatus":{"type":"string","enum":["ACTIVE","INACTIVE","DEPLOYING"],"title":"RuleInstanceStatus"},"RuleInstance":{"type":"object","properties":{"id":{"type":"string"},"type":{"$ref":"#/components/schemas/RuleType"},"ruleId":{"type":"string"},"runCount":{"type":"number","format":"double"},"hitCount":{"type":"integer"},"createdAt":{"type":"number","format":"double"},"updatedAt":{"type":"number","format":"double"},"checksFor":{"type":"array","items":{"type":"string"}},"alertCreationOnHit":{"type":"boolean"},"filters":{"$ref":"#/components/schemas/RuleInstanceFilters","description":"Rule filters. A key-value json object corresponding to the json schema returned by /rule-filters-schema endpoint."},"parameters":{"$ref":"#/components/schemas/RuleInstanceParameters"},"ruleNameAlias":{"type":"string"},"riskLevelParameters":{"$ref":"#/components/schemas/RiskLevelRuleParameters"},"action":{"$ref":"#/components/schemas/RuleAction"},"riskLevelActions":{"$ref":"#/components/schemas/RiskLevelRuleActions"},"triggersOnHit":{"$ref":"#/components/schemas/TriggersOnHit"},"riskLevelsTriggersOnHit":{"$ref":"#/components/schemas/RiskLevelsTriggersOnHit"},"status":{"$ref":"#/components/schemas/RuleInstanceStatus"},"casePriority":{"$ref":"#/components/schemas/Priority"}},"required":["id","type","ruleId","checksFor"],"title":"RuleInstance"},"RuleInstanceUpdatableFilters":{"type":"object","properties":{},"description":"Rule filters. A key-value json object corresponding to the json schema returned by /rule-filters-schema endpoint.","title":"RuleInstanceUpdatableFilters"},"RuleInstanceUpdatableParameters":{"type":"object","properties":{},"title":"RuleInstanceUpdatableParameters"},"RuleInstanceUpdatableStatus":{"type":"string","enum":["ACTIVE","INACTIVE"],"title":"RuleInstanceUpdatableStatus"},"RuleInstanceUpdatable":{"type":"object","properties":{"ruleId":{"type":"string"},"alertCreationOnHit":{"type":"boolean"},"filters":{"$ref":"#/components/schemas/RuleInstanceUpdatableFilters","description":"Rule filters. A key-value json object corresponding to the json schema returned by /rule-filters-schema endpoint."},"parameters":{"$ref":"#/components/schemas/RuleInstanceUpdatableParameters"},"ruleNameAlias":{"type":"string"},"riskLevelParameters":{"$ref":"#/components/schemas/RiskLevelRuleParameters"},"action":{"$ref":"#/components/schemas/RuleAction"},"riskLevelActions":{"$ref":"#/components/schemas/RiskLevelRuleActions"},"triggersOnHit":{"$ref":"#/components/schemas/TriggersOnHit"},"riskLevelsTriggersOnHit":{"$ref":"#/components/schemas/RiskLevelsTriggersOnHit"},"status":{"$ref":"#/components/schemas/RuleInstanceUpdatableStatus"},"casePriority":{"$ref":"#/components/schemas/Priority"}},"title":"RuleInstanceUpdatable"},"delete-rule_instances-ruleInstanceId_Response_200":{"type":"object","properties":{},"description":"Empty response body","title":"delete-rule_instances-ruleInstanceId_Response_200"},"get-rule-filters-schema_Response_200":{"type":"object","properties":{},"title":"get-rule-filters-schema_Response_200"},"CasesGetParametersSortBy":{"type":"string","enum":["createdTimestamp","updatedAt","caseId","priority"],"title":"CasesGetParametersSortBy"},"CasesGetParametersSortOrder":{"type":"string","enum":["asc","desc"],"title":"CasesGetParametersSortOrder"},"Status":{"type":"string","enum":["OPEN","CLOSED","REOPENED","IN_REVIEW","ESCALATED","IN_PROGRESS","ON_HOLD"],"title":"Status"},"CaseSource":{"type":"string","enum":["MANUAL","SYSTEM","EXTERNAL"],"title":"CaseSource"},"Tag":{"type":"object","properties":{"key":{"type":"string","minLength":1,"description":"Key value when you are creating a custom variable"},"value":{"type":"string","minLength":1,"description":"Value for a given key when you are creating a custom variable"},"isTimestamp":{"type":"boolean","description":"Flag to indicate if the tag value is a timestamp"}},"required":["key","value"],"description":"Generic key-value pair model to append a custom variable being sent to Flagright API","title":"Tag"},"ActionReason":{"type":"object","properties":{"reasons":{"type":"array","items":{"type":"string"}},"comment":{"type":"string"},"timestamp":{"type":"number","format":"double","minimum":1262300400000,"maximum":4133890801000}},"required":["reasons","comment"],"title":"ActionReason"},"UserEntityDetailsType":{"type":"string","enum":["USER"],"title":"UserEntityDetailsType"},"UserEntityDetails":{"type":"object","properties":{"userId":{"type":"string"},"type":{"$ref":"#/components/schemas/UserEntityDetailsType"}},"required":["userId","type"],"title":"UserEntityDetails"},"PaymentEntityDetailsType":{"type":"string","enum":["PAYMENT"],"title":"PaymentEntityDetailsType"},"CardPaymentMethod":{"type":"string","enum":["CARD"],"description":"Classify the method of payment as \"Card\" for CardDetails\n","title":"CardPaymentMethod"},"CounterpartyType":{"type":"string","enum":["INDIVIDUAL","LEGAL_ENTITY"],"title":"CounterpartyType"},"EmailId":{"type":"string","description":"Email ID format. Ex: baran@flagright.com","title":"EmailId"},"CardStatus":{"type":"string","enum":["ACTIVE","FROZEN","BLOCKED","SUSPECTED_FRAUD","STOLEN","LOST","CLOSED","OTHER"],"description":"Status of the card","title":"CardStatus"},"ConsumerName":{"type":"object","properties":{"firstName":{"type":"string","minLength":1,"description":"First name of the user"},"middleName":{"type":"string","description":"Middle name of the user"},"fatherName":{"type":"string","description":"Name of the father of the user"},"lastName":{"type":"string","minLength":1,"description":"Last name of the user"}},"required":["firstName"],"description":"Model for a generic consumer name","title":"ConsumerName"},"CardExpiry":{"type":"object","properties":{"month":{"type":"integer","minimum":1,"maximum":12},"year":{"type":"number","format":"double","minimum":0,"maximum":2126}},"title":"CardExpiry"},"POSEntryMode":{"type":"string","enum":["0","1","2","3","4","5","6","7","8","9","10","79","80","81","82","85","90","91","95","97"],"title":"POSEntryMode"},"POSDetails":{"type":"object","properties":{"entryMode":{"$ref":"#/components/schemas/POSEntryMode"}},"title":"POSDetails"},"CardBrand":{"type":"string","enum":["VISA","MASTERCARD","AMERICAN_EXPRESS","DISCOVER","UNIONPAY","RUPAY","JCB","DINERS_CLUB"],"description":"Brand of Card","title":"CardBrand"},"CardFunding":{"type":"string","enum":["CREDIT","DEBIT","PREPAID"],"description":"Funding of Card","title":"CardFunding"},"CardType":{"type":"string","enum":["VIRTUAL","PHYSICAL"],"description":"Type of card","title":"CardType"},"CurrencyCode":{"type":"string","enum":["1INCH","AAVE","ABT","ACH","ACS","ADA","AED","AERGO","AERO","AFN","AGLD","AIOZ","ALCX","ALEPH","ALGO","ALICE","ALL","AMD","AMP","ANG","ANKR","ANT","AOA","APE","API3","APT","ARB","ARPA","ARS","ASM","AST","ATA","ATOM","AUCTION","AUD","AUDIO","AURORA","AVAX","AVT","AWG","AXL","AXS","AZN","BADGER","BAL","BAM","BAND","BASE","BAT","BBD","BCH","BDT","BGN","BHD","BICO","BIF","BIGTIME","BIT","BLUR","BLZ","BMD","BND","BNT","BOB","BOBA","BOND","BONK","BRL","BSD","BSV","BTC","BTN","BTRST","BUSD","BWP","BYN","BYR","BZD","C98","CAD","CBETH","CDF","CELR","CGLD","CHF","CHZ","CLF","CLP","CLV","CNH","CNY","COMP","COP","COTI","COVAL","CRC","CRO","CRPT","CRV","CTSI","CTX","CUC","CUP","CVC","CVE","CVX","CZK","DAI","DAR","DASH","DDX","DESO","DEXT","DIA","DIMO","DJF","DKK","DNT","DOGE","DOP","DOT","DREP","DYDX","DYP","DZD","EEK","EGLD","EGP","ELA","ENJ","ENS","EOS","ERN","ETB","ETC","ETH","ETH2","ETHB","EUR","EURA","EURC","EURT","EUROC","ETHFI","FARM","FET","FIDA","FIL","FIS","FJD","FKP","FLOW","FLR","FORT","FORTH","FOX","FX","FTM","GAL","GALA","GBP","GBPA","GEL","GFI","GGP","GHS","GHST","GIP","GLM","GMD","GMT","GNF","GNO","GNT","GODS","GRT","GST","GTC","GTQ","GUSD","GYD","GYEN","HBAR","HFT","HIGH","HKD","HNL","HNT","HONEY","HOPR","HRK","HTG","HUF","HYPE","ICP","IDEX","IDR","ILS","ILV","IMP","IMX","INDEX","INJ","INR","INV","IOTA","IOTX","ISLM","IQD","IRR","ISK","JASMY","JEP","JMD","JOD","JPY","JTO","JUP","KAVA","KEEP","KES","KGS","KHR","KLAY","KMF","KNC","KPW","KRL","KRW","KSM","KWD","KYD","KZT","LAK","LBP","LCX","LDO","LINK","LIT","LKR","LOKA","LOOM","LPT","LQTY","LRC","LRD","LSETH","LSL","LTC","LTL","LUNA2","LVL","LYD","MAD","MAGIC","MANA","MASK","MATH","MATIC","MCO2","MDL","MDT","MEDIA","METIS","MGA","MINA","MIR","MKD","MKR","MLN","MMK","MNDE","MNT","MOBILE","MONA","MOP","MPL","MRO","MRU","MSOL","MTL","MULTI","MUR","MUSE","MVR","MWK","MXC","MXN","MXNB","MXND","MYR","MZN","NAD","NCT","NEAR","NEO","NEST","NGN","NIO","NKN","NMR","NOK","NPC","NPR","NU","NZD","OCEAN","OGN","OMG","OMR","ONDO","OOKI","OP","ORCA","ORN","OSMO","OXT","PAB","PAX","PEN","PENGU","PEPE","PERP","PGK","PHP","PKR","PLA","PLN","PLU","PNG","POL","POLS","POLY","POND","POWR","PRIME","PRO","PRQ","PUNDIX","PYG","PYR","PYUSD","QAR","QI","QNT","QSP","QUICK","RAD","RAI","RARE","RARI","RBN","REN","RENDER","REP","REPV2","REQ","RGT","RLC","RLY","RLUSD","RNDR","RON","ROSE","RPL","RSD","RUB","RUNE","RWF","SAND","SAR","SBD","SCR","SDG","SEAM","SEI","SEK","SGD","SHIB","SHP","SHPING","SKK","SKL","SLL","SNT","SNX","SOL","SOS","SPA","SPELL","SRD","SSP","STD","STG","STORJ","STRK","STX","SUI","SUKU","SUPER","SUSHI","SVC","SWFTC","SYLO","SYN","SYP","SYRUPUSDC","SZL","T","THB","THETA","TIA","TIME","TJS","TMM","TMT","TND","TONE","TON","TOP","TRAC","TRB","TRIBE","TRU","TRUMP","TRY","TTD","TVK","TWD","TZS","UAH","UGX","UMA","UNFI","UNI","UPI","USD","USDG","USDAI","USDE","USDH","USDC","USDT","USYC","UST","UYU","UZS","VARA","VEF","VELO","VES","VET","VGX","VND","VOXEL","VTHO","VUV","WAMPL","WAVES","WAXL","WBTC","WCFG","WLUNA","WST","XAF","XAG","XAU","XCD","XCN","XDR","XLM","XMON","XOF","XPD","XPF","XPT","XRP","XTZ","XYO","YER","YFI","YFII","ZAR","ZEC","ZEN","ZETA","ZIL","ZMK","ZMW","ZRX","ZWD","FDUSD","AGX","AUX","BNB","CUBE","EMON","FDGT","KGLD","LODE","PASS","PREMIA","TAB1","TD-USD","TRX","TYUGA","VIC","XAI","SLE","UDI"],"title":"CurrencyCode"},"Amount":{"type":"object","properties":{"amountValue":{"type":"number","format":"double","minimum":-1000000000000000,"maximum":1000000000000000,"description":"Numerical value of the transaction in major currency units (within IEEE 754 safe integer range for exact JSON representation)"},"amountCurrency":{"$ref":"#/components/schemas/CurrencyCode"}},"required":["amountValue","amountCurrency"],"description":"Model for amount","title":"Amount"},"CardMerchantDetails":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"category":{"type":"string"},"MCC":{"type":"string"},"city":{"type":"string"},"country":{"$ref":"#/components/schemas/CountryCode"},"state":{"type":"string"},"postCode":{"type":"string"}},"title":"CardMerchantDetails"},"Address":{"type":"object","properties":{"addressLines":{"type":"array","items":{"type":"string"},"description":"Address lines of the user's residence address"},"postcode":{"type":"string","minLength":1,"description":"Post code of the user's residence address"},"city":{"type":"string","minLength":1,"description":"City of the user's residence address"},"state":{"type":"string","minLength":1,"description":"State of the user's residence address"},"country":{"type":"string","minLength":1,"description":"User's country of residence"},"addressType":{"type":"string","description":"Type of the address (ex - Residential, Postal, etc.)"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"}},"required":["addressLines"],"description":"Model for standardized address","title":"Address"},"JointEntity":{"type":"array","items":{"type":"string"},"description":"List of joint entities","title":"JointEntity"},"CardDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/CardPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"cardFingerprint":{"type":"string","minLength":1,"description":"Unique card fingerprint that helps identify a specific card without having to use explicit card number. This is likely available at your card payment scheme provider"},"emailId":{"$ref":"#/components/schemas/EmailId"},"cardStatus":{"$ref":"#/components/schemas/CardStatus"},"cardIssuedCountry":{"$ref":"#/components/schemas/CountryCode"},"transactionReferenceField":{"type":"string","minLength":1,"description":"Reference for the transaction"},"3dsDone":{"type":"boolean","description":"Whether 3ds was successfully enforced for the transaction"},"nameOnCard":{"$ref":"#/components/schemas/ConsumerName"},"cardExpiry":{"$ref":"#/components/schemas/CardExpiry"},"posDetails":{"$ref":"#/components/schemas/POSDetails"},"cardLast4Digits":{"type":"string","minLength":4,"maxLength":4,"description":"Last 4 digits of Card"},"cardFirst6Digits":{"type":"string","minLength":6,"maxLength":6,"description":"First 6 digits of Card"},"cardBrand":{"$ref":"#/components/schemas/CardBrand"},"cardFunding":{"$ref":"#/components/schemas/CardFunding"},"cardAuthenticated":{"type":"boolean","description":"Authentication of Card"},"cardTokenized":{"type":"boolean","description":"Was the card tokenized"},"cardPresent":{"type":"boolean","description":"Card Present"},"paymentChannel":{"type":"string"},"cardType":{"$ref":"#/components/schemas/CardType"},"cardBalance":{"$ref":"#/components/schemas/Amount"},"merchantDetails":{"$ref":"#/components/schemas/CardMerchantDetails"},"networkProviderRiskScore":{"type":"number","format":"double","minimum":0,"maximum":100,"description":"Risk score of the card from your network provider"},"address":{"$ref":"#/components/schemas/Address"},"countryOfNationality":{"$ref":"#/components/schemas/CountryCode"},"countryOfResidence":{"$ref":"#/components/schemas/CountryCode"},"bankAddress":{"$ref":"#/components/schemas/Address"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method"],"description":"Model for credit or debit card details","title":"CardDetails"},"GeneralBankAccountPaymentMethod":{"type":"string","enum":["GENERIC_BANK_ACCOUNT"],"description":"Classify the method of payment as \"GENERIC_BANK_ACCOUNT\" for GenericBankAccountDetails","title":"GeneralBankAccountPaymentMethod"},"CorrespondentGenericBankDetails":{"type":"object","properties":{"bankName":{"type":"string","minLength":1,"description":"Name of the bank"},"bankAddress":{"$ref":"#/components/schemas/Address"},"bankCode":{"type":"string","description":"Unique identifier of the correspondent bank"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"}},"description":"Model for Correspondent bank details for generic bank account","title":"CorrespondentGenericBankDetails"},"GenericBankAccountDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/GeneralBankAccountPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"accountNumber":{"type":"string","minLength":1,"description":"Bank account number"},"accountType":{"type":"string","description":"Bank account type. E.g. Checking, Savings etc."},"accountBalance":{"$ref":"#/components/schemas/Amount"},"bankName":{"type":"string","minLength":1,"description":"Name of the bank"},"bankCode":{"type":"string","description":"Unique identifier of the bank. In some countries, this can be the same as the bank's SWIFT code"},"country":{"$ref":"#/components/schemas/CountryCode"},"name":{"type":"string","description":"Name of the account holder"},"countryOfNationality":{"$ref":"#/components/schemas/CountryCode","description":"Country of nationality of the account holder"},"countryOfResidence":{"$ref":"#/components/schemas/CountryCode","description":"Country of residence of the account holder"},"dateOfBirth":{"type":"string","pattern":"^(\\d{4}-\\d{2}-\\d{2})*$","description":"Date of birth of the account holder (YYYY-MM-DD)"},"bankAddress":{"$ref":"#/components/schemas/Address"},"emailId":{"$ref":"#/components/schemas/EmailId"},"specialInstructions":{"type":"string","description":"Special instructions to be specified if any"},"paymentChannel":{"type":"string"},"beneficiaryName":{"type":"string","description":"Beneficiary name of the account"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"transitNumber":{"type":"string","description":"Transit number of the bank account"},"address":{"$ref":"#/components/schemas/Address"},"routingNumber":{"type":"string","description":"Routing number of the bank"},"correspondentBankDetails":{"type":"array","items":{"$ref":"#/components/schemas/CorrespondentGenericBankDetails"}},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method"],"description":"Model for any generic bank account","title":"GenericBankAccountDetails"},"IBANPaymentMethod":{"type":"string","enum":["IBAN"],"description":"Classify the method of payment as \"IBAN\" for IBANDetails\n","title":"IBANPaymentMethod"},"IBANDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/IBANPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"BIC":{"type":"string","minLength":1,"description":"Identifier for the bank. Can be routing number, BIK number, SWIFT code, BIC number etc."},"bankName":{"type":"string","minLength":1,"description":"Name of the bank"},"bankAddress":{"$ref":"#/components/schemas/Address"},"address":{"$ref":"#/components/schemas/Address","description":"Address of the account holder"},"country":{"$ref":"#/components/schemas/CountryCode"},"IBAN":{"type":"string","description":"Account number of the user. Can be account number, IBAN number etc."},"accountBalance":{"$ref":"#/components/schemas/Amount"},"name":{"type":"string","description":"Name of the bank account holder"},"emailId":{"$ref":"#/components/schemas/EmailId"},"bankBranchCode":{"type":"string","description":"Branch code of the bank. In some countries, this can be the same as the bank's SWIFT code"},"beneficiaryName":{"type":"string","description":"Beneficiary name of the account"},"paymentChannel":{"type":"string"},"countryOfNationality":{"$ref":"#/components/schemas/CountryCode"},"countryOfResidence":{"$ref":"#/components/schemas/CountryCode"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method"],"description":"Standardized model for Bank Details","title":"IBANDetails"},"ACHPaymentMethod":{"type":"string","enum":["ACH"],"description":"Classify the method of payment as \"ACH\" for ACHDetails","title":"ACHPaymentMethod"},"ACHDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/ACHPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"routingNumber":{"type":"string","minLength":1,"description":"Routing number of the bank"},"accountNumber":{"type":"string","minLength":1,"description":"Bank account number of the individual"},"accountBalance":{"$ref":"#/components/schemas/Amount"},"bankName":{"type":"string","minLength":1,"description":"Name of the bank"},"name":{"type":"string","description":"Name of the account holder"},"bankAddress":{"$ref":"#/components/schemas/Address"},"address":{"$ref":"#/components/schemas/Address","description":"Address of the account holder"},"countryOfNationality":{"$ref":"#/components/schemas/CountryCode"},"countryOfResidence":{"$ref":"#/components/schemas/CountryCode"},"beneficiaryName":{"type":"string","description":"Beneficiary name of the account"},"emailId":{"$ref":"#/components/schemas/EmailId"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method"],"description":"Model for ACH payment method","title":"ACHDetails"},"SWIFTPaymentMethod":{"type":"string","enum":["SWIFT"],"description":"Classify the method of payment as \"SWIFT\" for SWIFTDetails","title":"SWIFTPaymentMethod"},"CorrespondentBankDetails":{"type":"object","properties":{"bankName":{"type":"string","minLength":1,"description":"Name of the bank"},"bankAddress":{"$ref":"#/components/schemas/Address"},"swiftCode":{"type":"string","description":"SWIFT code of the correspondent bank"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"}},"description":"Model for Correspondent bank details","title":"CorrespondentBankDetails"},"SWIFTDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/SWIFTPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"swiftCode":{"type":"string","minLength":1,"description":"SWIFT code of the financial institution"},"accountNumber":{"type":"string","minLength":1,"description":"Account number"},"routingNumber":{"type":"string","description":"Routing number of the bank"},"accountBalance":{"$ref":"#/components/schemas/Amount"},"accountType":{"type":"string","description":"Account type. E.g. Checking, Savings etc."},"bankName":{"type":"string","minLength":1,"description":"Name of the bank"},"name":{"type":"string","description":"Name of the account holder"},"bankAddress":{"$ref":"#/components/schemas/Address"},"countryOfNationality":{"$ref":"#/components/schemas/CountryCode"},"countryOfResidence":{"$ref":"#/components/schemas/CountryCode"},"emailId":{"$ref":"#/components/schemas/EmailId"},"beneficiaryName":{"type":"string","description":"Beneficiary name of the account"},"specialInstructions":{"type":"string","description":"Special instructions if any"},"address":{"$ref":"#/components/schemas/Address"},"correspondentBankDetails":{"type":"array","items":{"$ref":"#/components/schemas/CorrespondentBankDetails"}},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method"],"description":"Model for SWIFT payment method","title":"SWIFTDetails"},"MpesaPaymentMethod":{"type":"string","enum":["MPESA"],"description":"Classify the method of payment as \"Mpesa\" for MpesaDetails","title":"MpesaPaymentMethod"},"MpesaTransactionType":{"type":"string","enum":["CustomerPayBillOnline","CustomerBuyGoodsOnline","SalaryPayment","BusinessPayment","PromotionPayment"],"description":"Type of transaction","title":"MpesaTransactionType"},"MpesaDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/MpesaPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"businessShortCode":{"type":"string","minLength":1,"description":"Business code"},"transactionType":{"$ref":"#/components/schemas/MpesaTransactionType"},"phoneNumber":{"type":"string","description":"Contact Number of the account holder"},"emailId":{"$ref":"#/components/schemas/EmailId"},"name":{"type":"string","description":"Name of the account holder"},"address":{"$ref":"#/components/schemas/Address"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method","businessShortCode","transactionType","phoneNumber"],"description":"Model for Mpesa payment method","title":"MpesaDetails"},"UPIPaymentMethod":{"type":"string","enum":["UPI"],"description":"Classify the method of payment as \"UPI\" for UPIDetails","title":"UPIPaymentMethod"},"UPIDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/UPIPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"upiID":{"type":"string","minLength":1,"description":"UPI Id number"},"bankProvider":{"type":"string","minLength":1,"description":"Bank provider name"},"interfaceProvider":{"type":"string","minLength":1,"description":"Interface provider name"},"name":{"type":"string","description":"Name of the account holder"},"address":{"$ref":"#/components/schemas/Address"},"emailId":{"$ref":"#/components/schemas/EmailId"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method","upiID"],"description":"Model for UPI payment method","title":"UPIDetails"},"WalletPaymentMethod":{"type":"string","enum":["WALLET"],"description":"Classify the method of payment as \"Wallet\" for WalletDetails","title":"WalletPaymentMethod"},"WalletNetwork":{"type":"string","enum":["BITCOIN","ETHEREUM","POLYGON","BNB_SMART_CHAIN","BNB_BEACON_CHAIN","ARBITRUM_L2","SOLANA","AVALANCHE_C_CHAIN","TEZOS","VICTION","LITECOIN","BITCOIN_CASH","RIPPLE","HYPERLIQUID","STELLAR","EOS_PUBLIC","TRON","CARDANO","POLKADOT","NEAR_PROTOCOL","COSMOS","DOGECOIN","OPTIMISM_MAINNET","FANTOM","HEDERA","ALGORAND","CELESTIA","BASE","SUI","TEMPO","TEMPO_TESTNET","MONAD","MORPH","PLASMA","INK","ROBINHOOD_CHAIN","BITTENSOR","ARC","ANUBIS","X_LAYER","STARKNET","CRONOS","PROVENANCE","FLARE","MANTLE","GNOSIS_CHAIN","STACKS","ROOTSTOCK","MEZO","MIXIN","PHAROS","PULSECHAIN","DYDX","HYDRATION","APTOS","TON","XPR_NETWORK","WORLD_CHAIN","KATANA","BERACHAIN","THORCHAIN","SEI","RISE","BOT_CHAIN","BLAST","UNICHAIN","STABLE","LINEA","KAVA","FRAXTAL","MEGAETH","CELO","CHAINFLIP","STRATO_CHAIN","ETHERLINK","BIFROST_NETWORK","ZKSYNC_ERA","INTERNET_COMPUTER","MULTIVERSX","ROLLUX","INJECTIVE","KAIA","SCROLL","TAIKO","IOTA","CANTON_NETWORK","FILECOIN","ETHEREUM_CLASSIC","STORY","OSMOSIS","XDC_NETWORK","FLOW","ARWEAVE","IMMUTABLE_X"],"description":"Network of the wallet","title":"WalletNetwork"},"Gender":{"type":"string","enum":["M","F","NB"],"description":"Gender of the individual - Male, Female or Non-Binary","title":"Gender"},"MaritalStatus":{"type":"string","enum":["DIVORCED","MARRIED","SINGLE","WIDOWED","NA"],"description":"Marital status of the individual","title":"MaritalStatus"},"PlaceOfBirth":{"type":"object","properties":{"city":{"type":"string"},"state":{"type":"string"},"country":{"$ref":"#/components/schemas/CountryCode"}},"required":["country"],"description":"Place of birth of the individual","title":"PlaceOfBirth"},"UserDetails":{"type":"object","properties":{"name":{"$ref":"#/components/schemas/ConsumerName"},"dateOfBirth":{"type":"string","pattern":"^(\\d{4}-\\d{2}-\\d{2})*$","description":"Date of birth of the user (YYYY-MM-DD)"},"userCategory":{"type":"string","description":"Internal category of the user"},"countryOfResidence":{"$ref":"#/components/schemas/CountryCode"},"countryOfTaxResidence":{"$ref":"#/components/schemas/CountryCode"},"secondaryCountryOfTaxResidence":{"type":"array","items":{"$ref":"#/components/schemas/CountryCode"},"description":"Additional tax residence countries of the user"},"countryOfNationality":{"$ref":"#/components/schemas/CountryCode"},"secondaryCountryOfNationality":{"type":"array","items":{"$ref":"#/components/schemas/CountryCode"},"description":"Additional nationalities of the user"},"gender":{"$ref":"#/components/schemas/Gender"},"maritalStatus":{"$ref":"#/components/schemas/MaritalStatus"},"placeOfBirth":{"$ref":"#/components/schemas/PlaceOfBirth"},"alias":{"type":"array","items":{"type":"string"},"description":"Alias names of the user"}},"description":"Model for consumer user personal details","title":"UserDetails"},"WalletDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/WalletPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"walletType":{"type":"string","description":"Wallet type if there are various types of wallets belonging to the same user. E.g. Checking, savings, vault, different currency wallets etc."},"walletId":{"type":"string","minLength":1,"description":"Unique ID of the wallet"},"paymentChannel":{"type":"string","description":"Payment Channel used through wallet"},"name":{"type":"string","description":"Name of the account holder for a specific wallet"},"emailId":{"$ref":"#/components/schemas/EmailId"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"walletPhoneNumber":{"type":"string","description":"Phone number associated with the wallet, if any"},"walletBalance":{"$ref":"#/components/schemas/Amount"},"network":{"$ref":"#/components/schemas/WalletNetwork"},"address":{"$ref":"#/components/schemas/Address"},"countryOfNationality":{"$ref":"#/components/schemas/CountryCode"},"countryOfResidence":{"$ref":"#/components/schemas/CountryCode"},"beneficiaryName":{"type":"string","description":"Beneficiary name of the account"},"bankAddress":{"$ref":"#/components/schemas/Address"},"authorizedRepresentative":{"type":"array","items":{"$ref":"#/components/schemas/UserDetails"}},"dateOfBirth":{"type":"string","pattern":"^(\\d{4}-\\d{2}-\\d{2})*$","description":"Date of birth of the account holder (YYYY-MM-DD)"},"transactionHash":{"type":"string","description":"A hash is a cryptographic fingerprint that uniquely identifies a blockchain transaction on the network, whereas a transactionId is just an internal reference used by a wallet or platform to track the transaction in its own system."},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method"],"description":"Standardized model for a Generic wallet transaction","title":"WalletDetails"},"CheckPaymentMethod":{"type":"string","enum":["CHECK"],"description":"Classify the method of payment as \"CHECK\" for CheckDetails","title":"CheckPaymentMethod"},"CheckDeliveryStatus":{"type":"string","enum":["COMPLETED","PENDING","SETTLED","CANCELED","REFUND","DECLINED"],"title":"CheckDeliveryStatus"},"CheckDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/CheckPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"checkNumber":{"type":"string"},"checkIdentifier":{"type":"string"},"routingNumber":{"type":"string","description":"Routing number of the bank"},"name":{"type":"string"},"deliveryStatus":{"$ref":"#/components/schemas/CheckDeliveryStatus"},"etaTimestamp":{"type":"number","format":"double","minimum":315529200000,"maximum":4133890801000},"shippingAddress":{"$ref":"#/components/schemas/Address"},"address":{"$ref":"#/components/schemas/Address","description":"Address of the account holder"},"accountNumber":{"type":"string"},"emailId":{"type":"string","description":"Email ID of the account holder"},"countryOfNationality":{"$ref":"#/components/schemas/CountryCode"},"countryOfResidence":{"$ref":"#/components/schemas/CountryCode"},"bankAddress":{"$ref":"#/components/schemas/Address"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method"],"title":"CheckDetails"},"CashPaymentMethod":{"type":"string","enum":["CASH"],"description":"Classify the method of payment as \"CASH\" for Details","title":"CashPaymentMethod"},"CashDetails":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/CashPaymentMethod"},"counterpartyType":{"$ref":"#/components/schemas/CounterpartyType"},"identifier":{"type":"string","description":"Identifier for the cash transaction"},"address":{"$ref":"#/components/schemas/Address"},"name":{"type":"string"},"emailId":{"$ref":"#/components/schemas/EmailId"},"accountBalance":{"$ref":"#/components/schemas/Amount"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Additional information that can be added via tags"},"jointEntity":{"$ref":"#/components/schemas/JointEntity"}},"required":["method"],"title":"CashDetails"},"PaymentEntityDetailsPaymentDetails":{"oneOf":[{"$ref":"#/components/schemas/CardDetails"},{"$ref":"#/components/schemas/GenericBankAccountDetails"},{"$ref":"#/components/schemas/IBANDetails"},{"$ref":"#/components/schemas/ACHDetails"},{"$ref":"#/components/schemas/SWIFTDetails"},{"$ref":"#/components/schemas/MpesaDetails"},{"$ref":"#/components/schemas/UPIDetails"},{"$ref":"#/components/schemas/WalletDetails"},{"$ref":"#/components/schemas/CheckDetails"},{"$ref":"#/components/schemas/CashDetails"}],"title":"PaymentEntityDetailsPaymentDetails"},"PaymentEntityDetails":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/PaymentEntityDetailsType"},"paymentDetails":{"$ref":"#/components/schemas/PaymentEntityDetailsPaymentDetails"}},"required":["type","paymentDetails"],"title":"PaymentEntityDetails"},"AddressEntityDetailsType":{"type":"string","enum":["ADDRESS"],"title":"AddressEntityDetailsType"},"AddressEntityDetails":{"type":"object","properties":{"address":{"$ref":"#/components/schemas/Address"},"type":{"$ref":"#/components/schemas/AddressEntityDetailsType"}},"required":["address","type"],"title":"AddressEntityDetails"},"EmailEntityDetailsType":{"type":"string","enum":["EMAIL"],"title":"EmailEntityDetailsType"},"EmailEntityDetails":{"type":"object","properties":{"email":{"type":"string"},"type":{"$ref":"#/components/schemas/EmailEntityDetailsType"}},"required":["email","type"],"title":"EmailEntityDetails"},"NameEntityDetailsType":{"type":"string","enum":["NAME"],"title":"NameEntityDetailsType"},"NameEntityDetails":{"type":"object","properties":{"name":{"type":"string"},"type":{"$ref":"#/components/schemas/NameEntityDetailsType"}},"required":["name","type"],"title":"NameEntityDetails"},"CaseEntityDetails":{"oneOf":[{"$ref":"#/components/schemas/UserEntityDetails"},{"$ref":"#/components/schemas/PaymentEntityDetails"},{"$ref":"#/components/schemas/AddressEntityDetails"},{"$ref":"#/components/schemas/EmailEntityDetails"},{"$ref":"#/components/schemas/NameEntityDetails"}],"title":"CaseEntityDetails"},"Assignment":{"type":"object","properties":{"assigneeEmail":{"type":"string"},"assignedByEmail":{"type":"string"},"timestamp":{"type":"number","format":"double","minimum":1262300400000,"maximum":4133890801000}},"required":["assigneeEmail"],"title":"Assignment"},"Case":{"type":"object","properties":{"caseId":{"type":"string"},"createdTimestamp":{"type":"number","format":"double","minimum":1262300400000,"maximum":4133890801000},"caseStatus":{"type":"string"},"customCaseStatusName":{"type":["string","null"]},"alertIds":{"type":"array","items":{"type":"string"}},"updatedAt":{"type":"number","format":"double"},"priority":{"$ref":"#/components/schemas/Priority"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"creationReason":{"$ref":"#/components/schemas/ActionReason"},"entityDetails":{"$ref":"#/components/schemas/CaseEntityDetails"},"relatedCases":{"type":"array","items":{"type":"string"}},"assignments":{"type":"array","items":{"$ref":"#/components/schemas/Assignment"}}},"required":["caseId","createdTimestamp","caseStatus","alertIds","updatedAt","priority","entityDetails"],"title":"Case"},"CasesListResponse":{"type":"object","properties":{"hasPrev":{"type":"boolean"},"prev":{"type":"string"},"next":{"type":"string"},"count":{"type":"number","format":"double"},"pageSize":{"type":"number","format":"double"},"last":{"type":"string"},"hasNext":{"type":"boolean"},"items":{"type":"array","items":{"$ref":"#/components/schemas/Case"}}},"title":"CasesListResponse"},"CaseCreationRequestEntityDetails":{"oneOf":[{"$ref":"#/components/schemas/UserEntityDetails"},{"$ref":"#/components/schemas/PaymentEntityDetails"},{"$ref":"#/components/schemas/AddressEntityDetails"},{"$ref":"#/components/schemas/EmailEntityDetails"},{"$ref":"#/components/schemas/NameEntityDetails"}],"title":"CaseCreationRequestEntityDetails"},"CaseCreationRequest":{"type":"object","properties":{"caseId":{"type":"string"},"createdTimestamp":{"type":"number","format":"double","minimum":1262300400000,"maximum":4133890801000},"priority":{"$ref":"#/components/schemas/Priority"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"creationReason":{"$ref":"#/components/schemas/ActionReason"},"entityDetails":{"$ref":"#/components/schemas/CaseCreationRequestEntityDetails"},"relatedCases":{"type":"array","items":{"type":"string"}},"assignments":{"type":"array","items":{"$ref":"#/components/schemas/Assignment"}}},"required":["caseId","createdTimestamp","priority","entityDetails"],"title":"CaseCreationRequest"},"CaseUpdateableEntityDetails":{"oneOf":[{"$ref":"#/components/schemas/UserEntityDetails"},{"$ref":"#/components/schemas/PaymentEntityDetails"},{"$ref":"#/components/schemas/AddressEntityDetails"},{"$ref":"#/components/schemas/EmailEntityDetails"},{"$ref":"#/components/schemas/NameEntityDetails"}],"title":"CaseUpdateableEntityDetails"},"CaseUpdateable":{"type":"object","properties":{"priority":{"$ref":"#/components/schemas/Priority"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"creationReason":{"$ref":"#/components/schemas/ActionReason"},"entityDetails":{"$ref":"#/components/schemas/CaseUpdateableEntityDetails"},"relatedCases":{"type":"array","items":{"type":"string"}},"assignments":{"type":"array","items":{"$ref":"#/components/schemas/Assignment"}}},"title":"CaseUpdateable"},"RequestFileInfo":{"type":"object","properties":{"s3Key":{"type":"string","description":"S3 key of the file"},"filename":{"type":"string","description":"Name of the file"},"size":{"type":"number","format":"double","description":"Size of the file in bytes"}},"required":["s3Key","filename","size"],"title":"RequestFileInfo"},"CaseStatusChangeRequest":{"type":"object","properties":{"status":{"type":"string"},"reason":{"type":"array","items":{"type":"string"}},"otherReason":{"type":"string"},"comment":{"type":"string"},"files":{"type":"array","items":{"$ref":"#/components/schemas/RequestFileInfo"}}},"required":["status"],"title":"CaseStatusChangeRequest"},"post-cases-caseId-statuses_Response_200":{"type":"object","properties":{"caseStatus":{"type":"string"},"customCaseStatusName":{"type":"string"}},"title":"post-cases-caseId-statuses_Response_200"},"ResponseFileInfo":{"type":"object","properties":{"filename":{"type":"string","description":"Name of the file"},"size":{"type":"number","format":"double","description":"Size of the file in bytes"},"downloadLink":{"type":"string","description":"Download link for the file"}},"required":["filename","size","downloadLink"],"title":"ResponseFileInfo"},"CommentResponse":{"type":"object","properties":{"commentId":{"type":"string","description":"Unique comment ID"},"body":{"type":"string","description":"Comment body"},"files":{"type":"array","items":{"$ref":"#/components/schemas/ResponseFileInfo"}},"createdTimestamp":{"type":"number","format":"double","description":"Timestamp when comment is created"},"updatedTimestamp":{"type":"number","format":"double","description":"Timestamp when comment is updated"}},"required":["commentId","body"],"title":"CommentResponse"},"CommentRequest":{"type":"object","properties":{"body":{"type":"string","minLength":1,"description":"Comment body"},"files":{"type":"array","items":{"$ref":"#/components/schemas/RequestFileInfo"}},"createdTimestamp":{"type":"number","format":"double","description":"Timestamp when comment is created"}},"required":["body"],"title":"CommentRequest"},"TransactionHitDetailsType":{"type":"string","enum":["TRANSACTION"],"title":"TransactionHitDetailsType"},"TransactionHitDetails":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/TransactionHitDetailsType"},"transactionIds":{"type":"array","items":{"type":"string"}}},"required":["type","transactionIds"],"title":"TransactionHitDetails"},"SanctionsHitDetailsType":{"type":"string","enum":["SANCTIONS"],"title":"SanctionsHitDetailsType"},"SanctionsHitDetails":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/SanctionsHitDetailsType"}},"required":["type"],"title":"SanctionsHitDetails"},"AlertCreationRequestEntityDetails":{"oneOf":[{"$ref":"#/components/schemas/TransactionHitDetails"},{"$ref":"#/components/schemas/SanctionsHitDetails"}],"title":"AlertCreationRequestEntityDetails"},"AlertRuleDetails":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"action":{"$ref":"#/components/schemas/RuleAction"},"description":{"type":"string"},"instanceId":{"type":"string"},"nature":{"$ref":"#/components/schemas/RuleNature"}},"required":["id","name","action","description","instanceId"],"title":"AlertRuleDetails"},"AlertCreationRequest":{"type":"object","properties":{"alertId":{"type":"string"},"createdTimestamp":{"type":"number","format":"double","minimum":1262300400000,"maximum":4133890801000},"caseId":{"type":"string"},"priority":{"$ref":"#/components/schemas/Priority"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"creationReason":{"$ref":"#/components/schemas/ActionReason"},"entityDetails":{"$ref":"#/components/schemas/AlertCreationRequestEntityDetails"},"assignments":{"type":"array","items":{"$ref":"#/components/schemas/Assignment"}},"ruleDetails":{"$ref":"#/components/schemas/AlertRuleDetails"}},"required":["alertId","createdTimestamp","caseId","priority","ruleDetails"],"title":"AlertCreationRequest"},"AlertEntityDetails":{"oneOf":[{"$ref":"#/components/schemas/TransactionHitDetails"},{"$ref":"#/components/schemas/SanctionsHitDetails"}],"title":"AlertEntityDetails"},"Alert":{"type":"object","properties":{"alertId":{"type":"string"},"createdTimestamp":{"type":"number","format":"double","minimum":1262300400000,"maximum":4133890801000},"caseId":{"type":"string"},"priority":{"$ref":"#/components/schemas/Priority"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"creationReason":{"$ref":"#/components/schemas/ActionReason"},"entityDetails":{"$ref":"#/components/schemas/AlertEntityDetails"},"assignments":{"type":"array","items":{"$ref":"#/components/schemas/Assignment"}},"ruleDetails":{"$ref":"#/components/schemas/AlertRuleDetails"},"alertStatus":{"type":"string"},"customAlertStatusName":{"type":["string","null"]},"updatedAt":{"type":"number","format":"double"}},"required":["alertId","createdTimestamp","caseId","priority","ruleDetails","alertStatus","updatedAt"],"title":"Alert"},"AlertUpdatableEntityDetails":{"oneOf":[{"$ref":"#/components/schemas/TransactionHitDetails"},{"$ref":"#/components/schemas/SanctionsHitDetails"}],"title":"AlertUpdatableEntityDetails"},"AlertUpdatable":{"type":"object","properties":{"priority":{"$ref":"#/components/schemas/Priority"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"creationReason":{"$ref":"#/components/schemas/ActionReason"},"entityDetails":{"$ref":"#/components/schemas/AlertUpdatableEntityDetails"},"assignments":{"type":"array","items":{"$ref":"#/components/schemas/Assignment"}},"ruleDetails":{"$ref":"#/components/schemas/AlertRuleDetails"}},"title":"AlertUpdatable"},"PageSize":{"type":"number","format":"double","minimum":1,"maximum":1000,"title":"PageSize"},"Page":{"type":"number","format":"double","minimum":1,"title":"Page"},"SanctionsDetailsEntityType":{"type":"string","enum":["CONSUMER_NAME","LEGAL_NAME","SHAREHOLDER","DIRECTOR","NAME_ON_CARD","PAYMENT_NAME","PAYMENT_BENEFICIARY_NAME","BANK_NAME","BANK_BIC","CORRESPONDENT_BANK_NAME","BANK_ACCOUNT_HOLDER_NAME","BUSINESS_PARTNER","ASSOCIATED_PARTY","CONSUMER_ALIAS","LEGAL_ENTITY_ALIAS","TRANSACTION_REFERENCE","TRANSACTION_TAG","CONSUMER_ADDRESS","LEGAL_ENTITY_ADDRESS","DIRECTOR_ADDRESS","SHAREHOLDER_ADDRESS","BUSINESS_PARTNER_ADDRESS","ASSOCIATED_PARTY_ADDRESS","BANK_ADDRESS","CORRESPONDENT_BANK_ADDRESS","PAYMENT_DETAILS_ADDRESS"],"title":"SanctionsDetailsEntityType"},"SanctionsScreeningEntity":{"type":"string","enum":["USER","BANK","IBAN","EXTERNAL_USER"],"title":"SanctionsScreeningEntity"},"HitMetaData":{"type":"object","properties":{"searchTerm":{"type":"string"},"entityType":{"$ref":"#/components/schemas/SanctionsDetailsEntityType"},"paymentMethodId":{"type":"string"},"ruleInstanceId":{"type":"string"},"ruleId":{"type":"string"},"userId":{"type":"string"},"entity":{"$ref":"#/components/schemas/SanctionsScreeningEntity"},"transactionId":{"type":"string"}},"description":"Metadata about the screening hit context","title":"HitMetaData"},"SanctionsHitStatus":{"type":"string","enum":["OPEN","CLEARED","ESCALATED"],"title":"SanctionsHitStatus"},"SanctionsIdDocument":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"formattedId":{"type":"string"}},"title":"SanctionsIdDocument"},"SanctionsEntityAddress":{"type":"object","properties":{"addressType":{"type":"string"},"addressLine":{"type":"string"},"city":{"type":"string"},"country":{"$ref":"#/components/schemas/CountryCode"},"postalCode":{"type":"string"}},"title":"SanctionsEntityAddress"},"GenericSanctionsSearchType":{"type":"string","enum":["SANCTIONS","PEP","ADVERSE_MEDIA","REGULATORY_ENFORCEMENT_LIST","CRIME","OTHER_BODIES"],"title":"GenericSanctionsSearchType"},"SanctionsAssociate":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"association":{"type":"string"},"sanctionsSearchTypes":{"type":"array","items":{"$ref":"#/components/schemas/GenericSanctionsSearchType"}},"ranks":{"type":"array","items":{"$ref":"#/components/schemas/PepRank"}}},"title":"SanctionsAssociate"},"SanctionsSourceWithSummaryFieldsItems":{"type":"object","properties":{"name":{"type":"string"},"values":{"type":"array","items":{"type":"string"}}},"required":["name"],"title":"SanctionsSourceWithSummaryFieldsItems"},"SanctionsSourceWithSummaryMediaItems":{"type":"object","properties":{"snippet":{"type":"string"},"title":{"type":"string"},"url":{"type":"string"}},"title":"SanctionsSourceWithSummaryMediaItems"},"SanctionsSourceWithSummary":{"type":"object","properties":{"evidenceId":{"type":"string"},"countryCodes":{"type":"array","items":{"$ref":"#/components/schemas/CountryCode"}},"createdAt":{"type":"number","format":"double"},"endedAt":{"type":"number","format":"double"},"name":{"type":"string"},"sourceName":{"type":"string"},"url":{"type":"string"},"description":{"type":"string"},"internalId":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsSourceWithSummaryFieldsItems"}},"media":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsSourceWithSummaryMediaItems"}},"category":{"type":"string"},"summary":{"type":"string"}},"required":["evidenceId"],"title":"SanctionsSourceWithSummary"},"SanctionsHitMediaSourceWithSummary":{"type":"object","properties":{"url":{"type":"string"},"name":{"type":"string"},"category":{"type":"string"},"summary":{"type":"string"},"publicationDate":{"type":"string"},"evidenceId":{"type":"string"}},"required":["evidenceId"],"title":"SanctionsHitMediaSourceWithSummary"},"HitDetails":{"type":"object","properties":{"name":{"type":"string"},"aliases":{"type":"array","items":{"type":"string"}},"dateOfBirths":{"type":"array","items":{"type":"string"}},"gender":{"type":"string"},"countries":{"type":"array","items":{"type":"string"}},"documents":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsIdDocument"}},"profileNotes":{"type":"string"},"yearOfIncorporation":{"type":"array","items":{"type":"string"}},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsEntityAddress"}},"associates":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsAssociate"}},"sanctionsSources":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsSourceWithSummary"}},"pepSources":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsSourceWithSummary"}},"relSources":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsSourceWithSummary"}},"mediaSources":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsHitMediaSourceWithSummary"}},"images":{"type":"array","items":{"type":"string"}}},"title":"HitDetails"},"SanctionsHitReasons":{"type":"string","enum":["FALSE_POSITIVE","OTHER","TRUE_POSITIVE"],"title":"SanctionsHitReasons"},"AlertHit":{"type":"object","properties":{"hitId":{"type":"string"},"hitMetaData":{"$ref":"#/components/schemas/HitMetaData"},"status":{"$ref":"#/components/schemas/SanctionsHitStatus"},"hitDetails":{"$ref":"#/components/schemas/HitDetails"},"reasons":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsHitReasons"},"description":"Reasons for clearing the hit. Only present when status is CLEARED."},"comment":{"type":"string","description":"Comment provided when clearing the hit. Only present when status is CLEARED."},"whitelistStatus":{"type":"boolean","description":"Whether the hit entity is currently whitelisted for this screening context. Only present when status is CLEARED."}},"title":"AlertHit"},"AlertHitsResponse":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AlertHit"}},"hasNext":{"type":"boolean"},"hasPrev":{"type":"boolean"},"next":{"type":"string"},"prev":{"type":"string"},"count":{"type":"integer"},"pageSize":{"type":"integer"},"last":{"type":"string"}},"title":"AlertHitsResponse"},"HitEvidenceResponse":{"type":"object","properties":{"linkToEvidence":{"type":"string"}},"title":"HitEvidenceResponse"},"SanctionHitStatusUpdateBaseRequest":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/SanctionsHitStatus"},"reasons":{"type":"array","items":{"$ref":"#/components/schemas/SanctionsHitReasons"}},"otherReason":{"type":"string"},"whitelistHits":{"type":"boolean"},"removeHitsFromWhitelist":{"type":"boolean"},"comment":{"type":"string"}},"required":["reasons"],"title":"SanctionHitStatusUpdateBaseRequest"},"HitsStatusUpdateRequest":{"type":"object","properties":{"hitIds":{"type":"array","items":{"type":"string"}},"updates":{"$ref":"#/components/schemas/SanctionHitStatusUpdateBaseRequest"}},"required":["hitIds","updates"],"title":"HitsStatusUpdateRequest"},"post-alert-hits-status_Response_200":{"type":"object","properties":{},"title":"post-alert-hits-status_Response_200"},"AlertStatusChangeRequest":{"type":"object","properties":{"status":{"type":"string"},"reason":{"type":"array","items":{"type":"string"}},"otherReason":{"type":"string"},"comment":{"type":"string"},"files":{"type":"array","items":{"$ref":"#/components/schemas/RequestFileInfo"}}},"required":["status"],"title":"AlertStatusChangeRequest"},"post-alerts-alertId-statuses_Response_200":{"type":"object","properties":{"alertStatus":{"type":"string"},"customAlertStatusName":{"type":"string"}},"title":"post-alerts-alertId-statuses_Response_200"},"PresignedPostRequest":{"type":"object","properties":{"filename":{"type":"string"},"fileSize":{"type":"number","format":"double","maximum":100000000,"description":"File size should be less than 100000000 bytes"}},"required":["filename","fileSize"],"title":"PresignedPostRequest"},"PresignedUrlResponseFields":{"type":"object","properties":{"key":{"type":"string"},"policy":{"type":"string"},"x-amz-algorithm":{"type":"string"},"x-amz-credential":{"type":"string"},"x-amz-date":{"type":"string"},"x-amz-signature":{"type":"string"},"x-amz-security-token":{"type":"string"},"name":{"type":"string"}},"required":["key","policy","x-amz-algorithm","x-amz-credential","x-amz-date","x-amz-signature","name"],"description":"Fields to be used in the form-data request","title":"PresignedUrlResponseFields"},"PresignedUrlResponse":{"type":"object","properties":{"url":{"type":"string"},"fields":{"$ref":"#/components/schemas/PresignedUrlResponseFields","description":"Fields to be used in the form-data request"}},"required":["url","fields"],"title":"PresignedUrlResponse"},"UsersSearchGetParametersSortOrder":{"type":"string","enum":["asc","desc"],"title":"UsersSearchGetParametersSortOrder"},"UsersSearchGetParametersSortBy":{"type":"string","enum":["createdTimestamp","updatedAt"],"title":"UsersSearchGetParametersSortBy"},"UserStateDetails":{"type":"object","properties":{"reason":{"type":"string"},"state":{"$ref":"#/components/schemas/UserState"}},"required":["state"],"title":"UserStateDetails"},"KYCStatusDetails":{"type":"object","properties":{"reason":{"type":"string"},"status":{"$ref":"#/components/schemas/KYCStatus"}},"title":"KYCStatusDetails"},"EmploymentStatus":{"type":"string","enum":["UNEMPLOYED","EMPLOYED","SELF_EMPLOYED","FREELANCER","STUDENT","FULL_TIME","PART_TIME","SOLE_PROPRIETOR","PENSIONER","COMPANY_OWNER","OTHER","NA"],"title":"EmploymentStatus"},"LegalDocument":{"type":"o
[...]
